org.firebirdsql.jdbc.parser

## Class StatementParserImpl

- java.lang.Object
- - org.firebirdsql.jdbc.parser.StatementParserImpl

All Implemented Interfaces:
  StatementParser

    public class StatementParserImpl
    extends java.lang.Object
    implements StatementParser

Concrete implementation for accessing the parser. This is intended to shield the rest of Jaybird from problems when the antlr-runtime is not on the classpath.

Since:
  2.2
Author:
  Mark Rotteveel

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.firebirdsql.jdbc.parser.StatementParser

`StatementParser.ParseException`

### Constructor Summary

Constructors
Constructor and Description
`StatementParserImpl()`

### Method Summary

Methods
`JaybirdStatementModel` `parseInsertStatement(java.lang.String sql)` Deprecated.
`JaybirdStatementModel` `parseStatement(java.lang.String sql)` Parses the provided SQL into a statement model

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatementParserImpl

    public StatementParserImpl()

### Method Detail

#### parseInsertStatement

    @Deprecated
    public JaybirdStatementModel parseInsertStatement(java.lang.String sql)
                                               throws StatementParser.ParseException

Deprecated.
Description copied from interface: `StatementParser`
Parses the provided SQL into a statement model

Implementation must call `StatementParser.parseStatement(String)`.

Specified by:
  `parseInsertStatement` in interface `StatementParser`
Parameters:
  `sql` - SQL query text to parse
Returns:
  Statement model
Throws:
  `StatementParser.ParseException` - For errors parsing the query

#### parseStatement

    public JaybirdStatementModel parseStatement(java.lang.String sql)
                                         throws StatementParser.ParseException

Description copied from interface: `StatementParser`
Parses the provided SQL into a statement model

Specified by:
  `parseStatement` in interface `StatementParser`
Parameters:
  `sql` - SQL query text to parse
Returns:
  Statementmodel
Throws:
  `StatementParser.ParseException` - For errors parsing the query